/*------------------------------------------------------------------------
     Dump program for swp_file: only read the first 65500 byte 
     Compile: gcc dump65500.c -o dump65500
                                                 99/01/06  Shin Satoh
  ------------------------------------------------------------------------*/
# include <stdio.h>
# include <string.h>

int main(int argc, char *argv[])
{
	char   f_name[256];
	char   tmp_buf[65500];
        int    fid, n, nn, r_byte;
        int    i, j, k, sum_zero;

/* File Open */
        if (argc != 2) {
	  printf("usage: %s [input_file]\n", argv[0]);
          return;
	}
        strcpy(f_name,argv[1]);
	if((fid = open(f_name, 0)) < 0 ){
	    printf("File not open ! : %s \n",f_name); exit(1); }

/* Read the first 65500-byte data */
        r_byte = read(fid, tmp_buf, 65500);
        for(j=0; j<6550; j++){
          sum_zero=0;
          for(i=0; i<10; i++){
            k=j*10+i;
            if(tmp_buf[k]==0) sum_zero++;
	  }
          if(sum_zero<10){

            for(i=0; i<10; i++){
              if(i==0) printf("%4d: ",j);
              k=j*10+i;
              printf("%4d",tmp_buf[k]);
	    }
            for(i=0; i<10; i++){
              if(i==0) printf(" | ");
              k=j*10+i;
              if(tmp_buf[k]>=32 && tmp_buf[k]<=126){
                printf("%c",tmp_buf[k]);
              }else{
                printf(" ");
	      }
              if(i==9) printf("\n");
	    }

	  }
	}

        return(0);
}

