*------------------------------------------------------------------
*  swp2ga_disp_6panels.gs
*  GrADS sample script to display gart... file made by swp2ga
*  to display VE, DM, NCP, SW, DZ, DCZ 
*  This script is adapted in both portrait and Landscape mode
*
*  usage: grads -pc "run swp2ga_disp_6panels gart.xxx.ctl"
*         grads -lc "run swp2ga_disp_6panels gart.xxx.ctl"  
*
*                                     Sep. 17, 1999  by Shin Satoh
*------------------------------------------------------------------
function main(args)
  if (args='')
    say 'Enter ctl file:'
    pull args
  endif

  'open 'args
  ' q dims'
  xsize = subwrd(result,18)
  ysize = subwrd(result,31)

  'set vpage off'
  'set mproj off'
  'set gxout grfill'
  'set grads off'

*=== Disp VE, DM, NCP, SW, DZ, DCZ ===
  'set x 4 'xsize
  'set y 2 'ysize
  'set xyrev on'

  'q gxinfo'
  if(subwrd(result,8)=11)
       say 'for Landscape mode'
    'set parea 0.5 3.5 4.8 7.8'
       'd VE'
       'run cbarn_biglabel 0.37 0 2.0 4.4'
    'set parea 4.0 7.0 4.8 7.8'
       'd DM'
       'run cbarn_biglabel 0.37 0 5.5 4.4'
    'set parea 7.5 10.5 4.8 7.8'
       'd NCP'
       'run cbarn_biglabel 0.37 0 9.0 4.4'
    'set parea 0.5 3.5 0.8 3.8'
       'd SW'
       'run cbarn_biglabel 0.37 0 2.0 0.4'
    'set parea 4.0 7.0 0.8 3.8'
       'd DZ'
       'run cbarn_biglabel 0.37 0 5.5 0.4'
    'set parea 7.5 10.5 0.8 3.8'
       'd DCZ'
       'run cbarn_biglabel 0.37 0 9.0 0.4'
    'set strsiz 0.15'
    'set string 1 bc 6 0'
       'draw string 2.0 7.9 Doppler velocity [m/s]'
       'draw string 5.5 7.9 Power in dBm [dBm]'
       'draw string 9.0 7.9 Normalized Coherent Power'
       'draw string 2.0 3.9 Spectral width [m/s]'
       'draw string 5.5 3.9 Reflectivity factor [dBz]'
       'draw string 9.0 3.9 Coherent Reflectivity factor [dBz]'
    'set string 1 bc 4 0'
    'set strsiz 0.12'
       'draw string 2.0 0.1 ESTIMATED ANT. ANGLE [deg]'
       'draw string 5.5 0.1 ESTIMATED ANT. ANGLE [deg]'
       'draw string 9.0 0.1 ESTIMATED ANT. ANGLE [deg]'
    'set string 1 bc 4 90'
       'draw string 0.15 6.3 ESTIMATED RANGE [km]'
       'draw string 0.15 2.3 ESTIMATED RANGE [km]'
  endif

  if(subwrd(result,10)=11)
       say 'for Portrait mode'
    'set parea 0.6 3.6 7.5 10.5'
       'd VE'
       'run cbarn 0.5 1 3.8 9.0'
    'set parea 4.5 7.5 7.5 10.5'
       'd DM'
       'run cbarn 0.5 1 7.7 9.0'
    'set parea 0.6 3.6 4.0 7.0'
       'd NCP'
       'run cbarn 0.5 1 3.8 5.5'
    'set parea 4.5 7.5 4.0 7.0'
       'd SW'
       'run cbarn 0.5 1 7.7 5.5'
    'set parea 0.6 3.6 0.5 3.5'
       'd DZ'
       'run cbarn 0.5 1 3.8 2.0'
    'set parea 4.5 7.5 0.5 3.5'
       'd DCZ'
       'run cbarn 0.5 1 7.7 2.0'
    'set strsiz 0.15'
    'set string 1 bc 6 0'
       'draw string 2.1 10.6 Doppler velocity [m/s]'
       'draw string 6.0 10.6 Power in dBm [dBm]'
       'draw string 2.1  7.1 Normalized Coherent Power'
       'draw string 6.0  7.1 Spectral width [m/s]'
       'draw string 2.1  3.6 Reflectivity factor [dBz]'
       'draw string 6.0  3.6 Coherent Reflectivity factor [dBz]'
    'set string 1 bc 4 0'
    'set strsiz 0.12'
       'draw string 2.1 0.1 ESTIMATED ANT. ANGLE [deg]'
       'draw string 6.0 0.1 ESTIMATED ANT. ANGLE [deg]'
    'set string 1 bc 4 90'
       'draw string 0.2 9.0 ESTIMATED RANGE [km]'
       'draw string 0.2 5.5 ESTIMATED RANGE [km]'
       'draw string 0.2 2.0 ESTIMATED RANGE [km]'
  endif

return

